DeepFellow API ReferenceFine tuning pipelines
Run a fine-tuning pipeline now
Start a run immediately, regardless of the schedule; 409 if one is already in progress.
Authorization[Bearer <token>]
In: header
Path Parameters
pipeline_id[string]
The ID of the fine-tuning pipeline.
Match
^[0-9a-fA-F]{24}$Header Parameters
OpenAI-Organization?[string | null]
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
OpenAI-Project?[string | null]
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
Response Body
curl -X POST "https://deepfellow-server-host/v1/fine_tuning/pipelines/5eb7cf5a86d9755df3a6c593/run" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string"{
"id": "5eb7cf5a86d9755df3a6c593",
"object": "fine_tuning.pipeline.run",
"pipeline_id": "5eb7cf5a86d9755df3a6c593",
"project_id": "5eb7cf5a86d9755df3a6c593",
"version": 0,
"trigger": "schedule",
"status": "preparing_data",
"step_started_at": 0,
"source_files": [],
"training_settings_hash": "string",
"dataset": {
"training_file_id": "5eb7cf5a86d9755df3a6c593",
"eval_prompts_file_id": "5eb7cf5a86d9755df3a6c593",
"chunks": 0,
"failed_chunks": 0,
"training_pairs": 0,
"sha256": "string"
},
"fine_tuning_job_id": "5eb7cf5a86d9755df3a6c593",
"adapter_id": "string",
"eval": {
"score": 0,
"n": 0,
"item_scores": [
0
],
"predictions_file_id": "5eb7cf5a86d9755df3a6c593",
"eval_config_hash": "string",
"champion_score": 0
},
"decision": {
"promoted": true,
"reason": "string"
},
"infra": {
"model_id": "string",
"install_started_at": 0
},
"error": {
"code": "string",
"message": "string"
},
"created_at": 0,
"finished_at": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.